## org.ascape.model.space
Class Coordinate

    java.lang.Object
      org.ascape.model.space.Coordinate

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  CoordinateContinuous, CoordinateDiscrete, CoordinateGraph

    public abstract class Coordinate

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

The base class for a location within a space defined by a particular geometry.

Since:
  1.0
Version:
  1.2
Author:
  Miles Parker
See Also:
  Serialized Form

Constructor Summary
`Coordinate()`

Method Summary
`abstract Coordinate` `add(Coordinate coordinate)` Adds the location of the supplied coordinate to this coordinate, returning the resulting coordinate.
`abstract double` `getDistance(Coordinate coordinate)` Returns the distance between this coordinate and the supplied coordinate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Coordinate

    public Coordinate()

Method Detail

### getDistance

    public abstract double getDistance(Coordinate coordinate)

  Returns the distance between this coordinate and the supplied coordinate.

  Parameters:
    `coordinate` - the coordiante to measure distance to

### add

    public abstract Coordinate add(Coordinate coordinate)

  Adds the location of the supplied coordinate to this coordinate, returning the resulting coordinate.

  Parameters:
    `coordinate` - the coordinate to sum with this one
  Returns:
    the coordinate